catalog:
  title: ROS Naoqi Driver Pose Python Package

templates:
- github
- cmake-catkin
- base

variables:
  description: ROS Naoqi Driver Pose Python Package
  recipe.maintainer:
  - flier@techfak.uni-bielefeld.de

  github.user: ros-naoqi
  github.project: naoqi_bridge

  sub-directory: naoqi_pose
  branches:
  - master

  platform-requires:
    ubuntu:
      xenial:
        packages:
        - ros-kinetic-desktop

  extra-provides:
  - nature: catkin
    target: pepper-naoqi-pose-py

  cmake.options:
  - CATKIN_ENABLE_TESTING=OFF
  - '@{next-value|[]}'

versions:
- name: stable-hash
  variables:
    commit: 403517b58fb84c3449401ba7a36d2a0e4a16d7a7
    ros: kinetic
    pre-build-hook/unix.command: sed -ie 's#queue_size=10#queue_size=1#g' nodes/pose_controller.py
